Name: slocate
Version: 2.2
Release: 6mdk
Copyright: GPL
Group: File tools
Source: ftp://ftp.mkintraweb.com/pub/linux/slocate/src/%{name}-%{version}.tar.bz2
Source1: slocate.cron
Patch: slocate-info.patch.bz2
Patch1: slocate-segv.patch.bz2
Source3: updatedb.conf
Source4: updatedb.sh
Prereq: shadow-utils
Buildroot: %{_tmppath}/%{name}-root
Summary: Finds files on a system via a central database.

%description
Slocate is a security-enhanced version of locate. Just like locate,
slocate searches through a central database (which is updated nightly)
for files which match a given pattern. Slocate allows you to quickly
find files anywhere on your system.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily
mkdir -p $RPM_BUILD_ROOT/var/lib/slocate
install slocate $RPM_BUILD_ROOT/%{_bindir}
(cd $RPM_BUILD_ROOT/%{_bindir} && rm -f locate && ln slocate locate )
install slocate.1.linux $RPM_BUILD_ROOT%{_mandir}/man1/slocate.1
install updatedb.1 $RPM_BUILD_ROOT%{_mandir}/man1/
(cd $RPM_BUILD_ROOT%{_mandir}/man1 && ln slocate.1 locate.1)
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily

install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/%{_bindir}/updatedb

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = "0" ]; then 
  [ -f /var/lib/slocate/slocate.db ] && rm -f /var/lib/slocate/slocate.db || true
fi

%files
%defattr(-,root,root,755)
%doc CHANGES INSTALL README LICENSE MIRRORS
%attr(2755,root,slocate) %{_bindir}/*locate
%attr(-,root,slocate) %{_bindir}/updatedb
%{_mandir}/man1/*
%dir %attr(750,root,slocate) /var/lib/slocate
%config(noreplace) %{_sysconfdir}/cron.daily/slocate.cron
%config(noreplace) %{_sysconfdir}/updatedb.conf

%changelog

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2-6mdk

- Exclude iso9660, udf and usbdevfs from scanned filesystems


* Wed Sep 20 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2-5mdk

- /etc/cron.daily/slocate.cron is %%config(noreplace)


* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2-4mdk

- More macros
- Some permission fixes

* Tue Jul 18 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2-3mdk

- Oops... Really commented out %post this time...
- made %preun always succeed

* Tue Jul 18 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2-2mdk

- 2.2 doesn't like empty databases - touch not prereq'ed anymore
- /etc/updatedb.conf is %config(noreplace)

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-1mdk
- Remove add/remove/group stuff (move them to the default group from
  setup package).
- Macroszification.
- Correct source url.
- 2.2.

* Fri Apr 28 2000 Pixel <pixel@mandrakesoft.com> 2.1-6mdk
- add symlink slocate -> locate (make it be there as it should, aka fix bug in spec)

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1-5mdk
- fixed release tag

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-4mdk
- Exclude dangerous filesystems by default with updatedb.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Prereq of /bit/touch.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add filesystem to updatedb script to fix loop update.(#76)

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Yet another typo fix in updatedb.

* Mon Aug 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add fix for updatedb from Randall W. Hron <randall.hron@sprintparanet.com>.

* Wed Jul 21 1999 Gregus <gregus@etudiant.net>
- fr locale

* Thu Jul 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0:
    - Converted the original recursive file tree walking code over to the
      newly supported fts() function.  This is the main reason for pushing
      the version to 2.0.  This is much more stable and has fixed a few
      bugs that didn't allow the whole file system to be scanned.  I took
      the fts() code right from glibc so that it may be used on libc5
      systems.
    - Added File System Exclusion option. ( -f "fstype1,fstype2,..." ).
      Now you can exclude NFS, proc, ext2, etc without listing each path.
    - If 'updatedb' is used to update the database, GNU Locate's original
      '/etc/updatedb.conf' will be used to exclude file systems and paths.
      When using 'slocate' to update the database, the '-c' option may now
      be used to parse the '/etc/updatedb.conf' file.
      *NOTE* - This only works under Linux.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.6 versions.
- Remove obsolete patch.

* Mon May 24 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.5
- add fix from bugtraq list
- Fix slocate.cron compatibility with bash2

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Add /var/lib/slocate/slocate.db, if it doesn't exist (required to work)
- Prereq fileutils (we need touch)

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix slocate.cron bugs.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a updatedb and a updatedb.conf.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update man-pages.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- %post groupadd changed to %pre 
